
Katello - Bug #6084

Link to sync state 'finished' under CV leads to 'page not found'

06/05/2014 11:05 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1079161 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1079161

Description of problem:

Under CV, when you see the sync'ed repository, you will find the sync state as 'finished', this is a hyperlink, and when you click it, it

leads to page not found' and link is:

https://hostname/katello/sync_management/index

Version-Release number of selected component (if applicable):

snap4

rubygem-katello_api-0.0.8-2.el6sat.noarch

ruby193-rubygem-katello-1.5.0-22.el6sat.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

rubygem-hammer_cli_katello-0.0.3-5.el6sat.noarch

katello-1.5.0-18.el6sat.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.28-1.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

katello-ca-1.0-1.noarch

katello-apache-1.0-1.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

rubygem-hammer_cli_foreman-0.0.18-7.el6sat.noarch

foreman-proxy-1.5.3-1.el6sat.noarch

ruby193-rubygem-foreman-tasks-0.4.0-5.el6sat.noarch

rubygem-foreman_api-0.1.11-3.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-4.el6sat.noarch

foreman-postgresql-1.5.0.9-1.el6sat.noarch

foreman-1.5.0.9-1.el6sat.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

How reproducible:

always

Steps to Reproduce:

1. create a product/repo and sync it

2. create a cv

3. add the repo to CV and see the sync state

4. click on 'finished' link

Actual results:

The 'finished' link leads to page not found

Expected results:

Either this link should open up the sync status page where that repo is synced or we should show status as string instead of

hyperlink.

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1079161
https://hostname/katello/sync_management/index


Associated revisions

Revision a0b7166c - 06/05/2014 07:24 PM - Partha Aji

Fixes #6084, bz 1079161 - Updated sync state link

The following 3 pages were not properly reflecting the sync state and the sync management urls.

1) Content View -> Content -> Repositories (both Add/List)

2) Product -> Repositories

3) Content View -> Content -> Filters -> {filter} -> Repositories

They all said N/A even for completed syncs and the urls pointed to by 'finished' state was incorrect.

They all pointed to http://&lt;fqdn&gt;/sync_management while ideally they should ve been pointing to

http://&lt;fqdn&gt;/katello/sync_management

This commit addresses this issue

Revision 85f9aa8b - 06/05/2014 11:24 PM - Partha Aji

Fixes #6084, bz 1079161 - Updated sync state link

The following 3 pages were not properly reflecting the sync state and the sync management urls.

1) Content View -> Content -> Repositories (both Add/List)

2) Product -> Repositories

3) Content View -> Content -> Filters -> {filter} -> Repositories

They all said N/A even for completed syncs and the urls pointed to by 'finished' state was incorrect.

They all pointed to http://&lt;fqdn&gt;/sync_management while ideally they should ve been pointing to

http://&lt;fqdn&gt;/katello/sync_management

This commit addresses this issue

Revision 8ad8f559 - 06/06/2014 03:11 PM - Partha Aji 

Merge pull request #4224 from parthaa/repo-feed

Fixes #6084, bz 1079161 - Updated sync state link

Revision 5ddde600 - 06/06/2014 07:11 PM - Partha Aji

Merge pull request #4224 from parthaa/repo-feed

Fixes #6084, bz 1079161 - Updated sync state link

History

#1 - 06/06/2014 12:44 PM - Eric Helms

- Target version set to 45

- Triaged set to Yes

#2 - 06/06/2014 07:52 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:85f9aa8b1b9ecc93eec9dc012ba30acd3436b18a.

#3 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
